Package org.apache.sysds.runtime.compress.plan

## Class CompressionPlanFactory

- java.lang.Object
- - org.apache.sysds.runtime.compress.plan.CompressionPlanFactory

    public class CompressionPlanFactory
    extends Object

### Constructor Summary

Constructors
`CompressionPlanFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static IPlanEncode` `create​(IColIndex[] columnGroups, AColGroup.CompressionType[] type, int k)`
`static IPlanEncode` `nCols​(int nCol, int n, AColGroup.CompressionType type, int k)`
`static IPlanEncode` `singleCols​(int nCol, AColGroup.CompressionType type, int k)`
`static IPlanEncode` `twoCols​(int nCol, AColGroup.CompressionType type, int k)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompressionPlanFactory

    public CompressionPlanFactory()

### Method Detail

#### singleCols

    public static IPlanEncode singleCols​(int nCol,
                                         AColGroup.CompressionType type,
                                         int k)

#### twoCols

    public static IPlanEncode twoCols​(int nCol,
                                      AColGroup.CompressionType type,
                                      int k)

#### nCols

    public static IPlanEncode nCols​(int nCol,
                                    int n,
                                    AColGroup.CompressionType type,
                                    int k)

#### create

    public static IPlanEncode create​(IColIndex[] columnGroups,
                                     AColGroup.CompressionType[] type,
                                     int k)